OpenCV: cv::cuda::HoughSegmentDetector Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::HoughSegmentDetector Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Image Processing » Hough Transform

Base class for line segments detector algorithm. : More...

`#include "cudaimgproc.hpp"`

Inheritance diagram for cv::cuda::HoughSegmentDetector:

## Public Member Functions
virtual void | detect (InputArray src, OutputArray lines, Stream &stream=Stream::Null())=0
| Finds line segments in a binary image using the probabilistic Hough transform. More...
virtual int | getMaxLineGap () const =0
virtual int | getMaxLines () const =0
virtual int | getMinLineLength () const =0
virtual float | getRho () const =0
virtual float | getTheta () const =0
virtual void | setMaxLineGap (int maxLineGap)=0
virtual void | setMaxLines (int maxLines)=0
virtual void | setMinLineLength (int minLineLength)=0
virtual void | setRho (float rho)=0
virtual void | setTheta (float theta)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for line segments detector algorithm. :

## Member Function Documentation

## ◆ detect()

virtual void cv::cuda::HoughSegmentDetector::detect | ( | InputArray | src,
|  | OutputArray | lines,
|  | Stream & | stream = `Stream::Null()`
| ) |  |
| pure virtual

Finds line segments in a binary image using the probabilistic Hough transform.

Parameters

  src | 8-bit, single-channel binary source image.
  lines | Output vector of lines. Each line is represented by a 4-element vector \((x_1, y_1, x_2, y_2)\) , where \((x_1,y_1)\) and \((x_2, y_2)\) are the ending points of each detected line segment.
  stream | Stream for the asynchronous version.

See also
  HoughLinesP

Examples:
  houghlines.cpp.

## ◆ getMaxLineGap()

virtual int cv::cuda::HoughSegmentDetector::getMaxLineGap | ( |  | ) | const
| pure virtual

## ◆ getMaxLines()

virtual int cv::cuda::HoughSegmentDetector::getMaxLines | ( |  | ) | const
| pure virtual

## ◆ getMinLineLength()

virtual int cv::cuda::HoughSegmentDetector::getMinLineLength | ( |  | ) | const
| pure virtual

## ◆ getRho()

virtual float cv::cuda::HoughSegmentDetector::getRho | ( |  | ) | const
| pure virtual

## ◆ getTheta()

virtual float cv::cuda::HoughSegmentDetector::getTheta | ( |  | ) | const
| pure virtual

## ◆ setMaxLineGap()

virtual void cv::cuda::HoughSegmentDetector::setMaxLineGap | ( | int | maxLineGap | ) |
| pure virtual

## ◆ setMaxLines()

virtual void cv::cuda::HoughSegmentDetector::setMaxLines | ( | int | maxLines | ) |
| pure virtual

## ◆ setMinLineLength()

virtual void cv::cuda::HoughSegmentDetector::setMinLineLength | ( | int | minLineLength | ) |
| pure virtual

## ◆ setRho()

virtual void cv::cuda::HoughSegmentDetector::setRho | ( | float | rho | ) |
| pure virtual

## ◆ setTheta()

virtual void cv::cuda::HoughSegmentDetector::setTheta | ( | float | theta | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cudaimgproc/include/opencv2/cudaimgproc.hpp